Retrieve Infrastructure Provider for current Org

View as Markdown

Retrieve Infrastructure Provider entity for current Org.

User must have authorization role with PROVIDER_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Response

OK
idstringRead-onlyformat: "uuid"
Unique UUID v4 identifier for the Infrastructure Provider
orgstring
Name of the org this Infrastructure Provider belongs to
orgDisplayNamestring or null
Display name of the org this Infrastructure Provider belongs to
createddatetimeRead-only

Date/time when the Infrastructure Provider was created

updateddatetimeRead-only

Date/time when the Infrastructure Provider was last updated

Errors

403
Forbidden Error